> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/troubleshooting/device/{deviceId}

## OpenAPI

````json POST /v1/troubleshooting/device/{deviceId}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/troubleshooting/device/{deviceId}": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "path",
            "required": true,
            "description": "",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1TroubleshootingDeviceDeviceIdPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1TroubleshootingDeviceDeviceIdPostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v1TroubleshootingDeviceDeviceIdPostRequest": {
        "type": "object",
        "properties": {
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonTroubleshootingTimeWindow"
          }
        },
        "additionalProperties": false
      },
      "v1TroubleshootingDeviceDeviceIdPostResponse": {
        "type": "object",
        "properties": {
          "MaintenanceMode": {
            "type": "boolean",
            "example": true
          },
          "colrActive": {
            "type": "boolean",
            "example": true
          },
          "controlPlane": {
            "$ref": "#/components/schemas/statsmonTroubleshootingControlPlane"
          },
          "dataPlane": {
            "$ref": "#/components/schemas/statsmonTroubleshootingDataPlane"
          },
          "issues": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingIssue"
            }
          },
          "lifecycleStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "swVersion": {
            "type": "string",
            "example": "example string"
          },
          "swVersionV2": {
            "$ref": "#/components/schemas/upgradeSwVersion"
          },
          "systemPlane": {
            "$ref": "#/components/schemas/statsmonTroubleshootingSystemPlane"
          },
          "upSinceTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingTimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingControlPlane": {
        "type": "object",
        "properties": {
          "controlTransitions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingTransitions"
            }
          },
          "managementTransitions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingTransitions"
            }
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingDataPlane": {
        "type": "object",
        "properties": {
          "downTransitions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingTransitions"
            }
          },
          "sessionSlas": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSessionSla"
            }
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingIssue": {
        "type": "object",
        "properties": {
          "alertId": {
            "type": "string",
            "example": "example string"
          },
          "allowListed": {
            "type": "boolean",
            "example": true
          },
          "component": {
            "type": "string",
            "example": "example string"
          },
          "endTime": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "entity": {
            "type": "string",
            "example": "example string"
          },
          "issue": {
            "type": "string",
            "example": "example string"
          },
          "muteListed": {
            "type": "boolean",
            "example": true
          },
          "notificationCreated": {
            "type": "boolean",
            "example": true
          },
          "plane": {
            "type": "string",
            "example": "example string"
          },
          "reason": {
            "type": "string",
            "example": "example string"
          },
          "severity": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "startTime": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "upgradeSwVersion": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string"
          },
          "release": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "version": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingSystemPlane": {
        "type": "object",
        "properties": {
          "cpu": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSystemStat"
            }
          },
          "crashes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingCrash"
            }
          },
          "disk": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSystemStat"
            }
          },
          "lastCrash": {
            "$ref": "#/components/schemas/statsmonTroubleshootingLastCrash"
          },
          "maintenanceWindows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingMaintenanceWindow"
            }
          },
          "memory": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSystemStat"
            }
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "temperature": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingOverheating"
            }
          },
          "temperatureSeries": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSystemStat"
            }
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingTransitions": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string"
          },
          "transitions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSystemStat"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingSessionSla": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string"
          },
          "values": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonTroubleshootingSlaValue"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingSystemStat": {
        "type": "object",
        "properties": {
          "interfaceName": {
            "type": "string",
            "example": "example string"
          },
          "peerName": {
            "type": "string",
            "example": "example string"
          },
          "time": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "value": {
            "type": "number",
            "format": "double",
            "example": 123.45
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingCrash": {
        "type": "object",
        "properties": {
          "time": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingLastCrash": {
        "type": "object",
        "properties": {
          "crashDetails": {
            "type": "string",
            "example": "example string"
          },
          "reason": {
            "type": "string",
            "example": "example string"
          },
          "upSinceTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingMaintenanceWindow": {
        "type": "object",
        "properties": {
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonTroubleshootingTimeWindow"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingOverheating": {
        "type": "object",
        "properties": {
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonTroubleshootingTimeWindow"
          }
        },
        "additionalProperties": false
      },
      "statsmonTroubleshootingSlaValue": {
        "type": "object",
        "properties": {
          "delayValue": {
            "type": "number",
            "format": "double",
            "example": 123.45
          },
          "jitterValue": {
            "type": "number",
            "format": "double",
            "example": 123.45
          },
          "lossValue": {
            "type": "number",
            "format": "double",
            "example": 123.45
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "time": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "value": {
            "type": "number",
            "format": "double",
            "example": 123.45
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

